pappso::FilterNameInterface Class Referenceabstract

Interface that allows to build filter objects from strings. More...

`#include <filternameinterface.h>`

Inheritance diagram for pappso::FilterNameInterface:

## Public Member Functions

virtual QString | name () const =0
virtual QString | toString () const =0
virtual | ~FilterNameInterface ()
Public Member Functions inherited from pappso::FilterInterface
virtual Trace & | filter (Trace &data_points) const =0
virtual | ~FilterInterface ()

## Protected Member Functions

virtual void | buildFilterFromString (const QString &strBuildParams)=0
| build this filter using a string More...

## Detailed Description

Interface that allows to build filter objects from strings.

Definition at line 41 of file filternameinterface.h.

## Constructor & Destructor Documentation

## ~FilterNameInterface()

virtual pappso::FilterNameInterface::~FilterNameInterface | ( |  | ) |

inline virtual

Definition at line 47 of file filternameinterface.h.

{};

## Member Function Documentation

## buildFilterFromString()

virtual void pappso::FilterNameInterface::buildFilterFromString | ( | const QString & | strBuildParams | ) |

protected pure virtual

build this filter using a string

Parameters

  strBuildParams | a string coding the filter and its parameters "filterName|param1;param2;param3"

Implemented in pappso::FilterSavitzkyGolay, pappso::FilterSuiteString, pappso::FilterQuantileBasedRemoveY, pappso::FilterMorphoAntiSpike, pappso::FilterLowIntensitySignalRemoval, pappso::FilterFloorAmplitudePercentage, pappso::FilterMzExclusion, pappso::FilterComplementIonEnhancer, pappso::FilterChargeDeconvolution, and pappso::FilterCeilingAmplitudePercentage.

## name()

virtual QString pappso::FilterNameInterface::name | ( |  | ) | const

pure virtual

Implemented in pappso::FilterSavitzkyGolay, pappso::FilterSuiteString, pappso::FilterQuantileBasedRemoveY, pappso::FilterMorphoAntiSpike, pappso::FilterLowIntensitySignalRemoval, pappso::FilterFloorAmplitudePercentage, pappso::FilterMzExclusion, pappso::FilterComplementIonEnhancer, pappso::FilterChargeDeconvolution, and pappso::FilterCeilingAmplitudePercentage.

## toString()

virtual QString pappso::FilterNameInterface::toString | ( |  | ) | const

pure virtual

Implemented in pappso::FilterSavitzkyGolay, pappso::FilterSuiteString, pappso::FilterQuantileBasedRemoveY, pappso::FilterMorphoAntiSpike, pappso::FilterLowIntensitySignalRemoval, pappso::FilterFloorAmplitudePercentage, pappso::FilterMzExclusion, pappso::FilterComplementIonEnhancer, pappso::FilterChargeDeconvolution, and pappso::FilterCeilingAmplitudePercentage.

The documentation for this class was generated from the following file:

- pappsomspp/processing/filters/filternameinterface.h